- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# eoVRPStat Class Reference

Manages the statistics of the VRP problem. More...

`#include <eoVRPStat.h>`

Inheritance diagram for eoVRPStat:

List of all members.

## Public Member Functions
| eoVRPStat (std::string _description="eoVRPStat ")
| Constructor: initializes variables properly.
void | operator() (const eoPop< eoVRP > &_pop)
| Gets statistics from a population.
virtual std::string | className (void) const
| Returns a string containing the name of the class.

## Detailed Description

Manages the statistics of the VRP problem.

Definition at line 47 of file eoVRPStat.h.

## Constructor & Destructor Documentation

eoVRPStat::eoVRPStat | ( | std::string | _description = `"eoVRPStat "` | ) | `[inline]`

Constructor: initializes variables properly.

Parameters:

  | _description | A string identifying the class.

Definition at line 56 of file eoVRPStat.h.

## Member Function Documentation

void eoVRPStat::operator() | ( | const eoPop< eoVRP > & | _pop | ) | `[inline]`

Gets statistics from a population.

Parameters:

  | _pop | The population that will be analyzed.

Definition at line 66 of file eoVRPStat.h.

References eoValueParam< T >::value().

virtual std::string eoVRPStat::className | ( | void |  | ) | const`[inline, virtual]`

Returns a string containing the name of the class.

Used to display statistics.

Returns:
  The string containing the name of the class.

Reimplemented from eoStat< eoVRP, double >.

Definition at line 79 of file eoVRPStat.h.

The documentation for this class was generated from the following file:

- eoVRPStat.h